Bug 1924081 - NTO should ship the latest Tuned daemon release 2.15
Summary: NTO should ship the latest Tuned daemon release 2.15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jiří Mencák
QA Contact: Simon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-02 14:50 UTC by Jiří Mencák
Modified: 2021-02-24 15:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 200 0 None open Bug 1924081: Ship the latest tuned-2.15.0 2021-02-02 14:56:22 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:58:06 UTC

Description Jiří Mencák 2021-02-02 14:50:53 UTC
Description of problem:
NTO 4.7 currently ships Tuned daemon version 23dcbd7 (2020-11-14).  Since then Tuned 2.15.0 has been officially released.

Steps to Reproduce:
1. inside a tuned pod run tuned --version

Actual results:
tuned 2.14.0

Expected results:
tuned 2.15.0

Additional info:
https://github.com/openshift/cluster-node-tuning-operator/pull/200

Comment 2 Simon 2021-02-04 19:46:40 UTC
oc project openshift-cluster-node-tuning-operator 
Now using project "openshift-cluster-node-tuning-operator" on server "https://api.skordas0204.qe.gcp.devcluster.openshift.com:6443".

oc get pods
NAME                                           READY   STATUS    RESTARTS   AGE
cluster-node-tuning-operator-696f98b64-vwhmj   1/1     Running   0          64m
tuned-6899v                                    1/1     Running   0          88m
tuned-6g8q5                                    1/1     Running   0          83m
tuned-6mvbd                                    1/1     Running   0          83m
tuned-6qg6c                                    1/1     Running   0          88m
tuned-pbkzf                                    1/1     Running   0          88m
tuned-zwlfs                                    1/1     Running   0          81m

for pod in $(oc get pods --no-headers | grep tuned | cut -f 1 -d ' '); do echo $pod; oc rsh $pod tuned --version; done
tuned-6899v
tuned 2.15.0
tuned-6g8q5
tuned 2.15.0
tuned-6mvbd
tuned 2.15.0
tuned-6qg6c
tuned 2.15.0
tuned-pbkzf
tuned 2.15.0
tuned-zwlfs
tuned 2.15.0

oc get clusterversions.config.openshift.io 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-02-04-132953   True        False         71m     Cluster version is 4.7.0-0.nightly-2021-02-04-132953

Comment 5 errata-xmlrpc 2021-02-24 15:57:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.